%******************************************************************************
%*                                                                            *
%*  Cedocida DV-Codec                                                         *
%*                                                                            *
%*  Copyright (C) 2005 Andreas Dittrich <dittrich@eit.uni-kl.de>              *
%*  Project start: 15.12.2003                                                 *
%*  Last change  : 08.05.2005                                                 *
%*                                                                            *
%******************************************************************************
%*                                                                            *
%*  This program is free software; you can redistribute it and/or modify      *
%*  it under the terms of the GNU General Public License as published by      *
%*  the Free Software Foundation; either version 2 of the License, or         *
%*  (at your option) any later version.                                       *
%*                                                                            *
%*  This program is distributed in the hope that it will be useful,           *
%*  but WITHOUT ANY WARRANTY; without even the implied warranty of            *
%*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             *
%*  GNU General Public License for more details.                              *
%*                                                                            *
%*  You should have received a copy of the GNU General Public License         *
%*  along with this program; if not, write to the Free Software               *
%*  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA *
%*                                                                            *
%******************************************************************************

% { run, amp, code, length }
vlc_table = { ...
	{ 0, 1, '0', 2 }, ...
	{ 0, 2, '2', 3 }, ...
	{-1, 0, '6', 4 }, ...
	{ 1, 1, '7', 4 }, ...
	{ 0, 3, '8', 4 }, ...
	{ 0, 4, '9', 4 }, ...
	{ 2, 1, '14', 5 }, ...
	{ 1, 2, '15', 5 }, ...
	{ 0, 5, '16', 5 }, ...
	{ 0, 6, '17', 5 }, ...
	{ 3, 1, '30', 6 }, ...
	{ 4, 1, '31', 6 }, ...
	{ 0, 7, '32', 6 }, ...
	{ 0, 8, '33', 6 }, ...
	{ 5, 1,  '68', 7 }, ...
	{ 6, 1,  '69', 7 }, ...
	{ 2, 2,  '6a', 7 }, ...
	{ 1, 3,  '6b', 7 }, ...
	{ 1, 4,  '6c', 7 }, ...
	{ 0, 9,  '6d', 7 }, ...
	{ 0, 10, '6e', 7 }, ...
	{ 0, 11, '6f', 7 }, ...
	{ 7,  1,  'e0', 8 }, ...
	{ 8,  1,  'e1', 8 }, ...
	{ 9,  1,  'e2', 8 }, ...
	{ 10, 1,  'e3', 8 }, ...
	{ 3,  2,  'e4', 8 }, ...
	{ 4,  2,  'e5', 8 }, ...
	{ 2,  3,  'e6', 8 }, ...
	{ 1,  5,  'e7', 8 }, ...
	{ 1,  6,  'e8', 8 }, ...
	{ 1,  7,  'e9', 8 }, ...
	{ 0,  12, 'ea', 8 }, ...
	{ 0,  13, 'eb', 8 }, ...
	{ 0,  14, 'ec', 8 }, ...
	{ 0,  15, 'ed', 8 }, ...
	{ 0,  16, 'ee', 8 }, ...
	{ 0,  17, 'ef', 8 }, ...
	{ 11, 1,  '1e0', 9 }, ...
	{ 12, 1,  '1e1', 9 }, ...
	{ 13, 1,  '1e2', 9 }, ...
	{ 14, 1,  '1e3', 9 }, ...
	{ 5,  2,  '1e4', 9 }, ...
	{ 6,  2,  '1e5', 9 }, ...
	{ 3,  3,  '1e6', 9 }, ...
	{ 4,  3,  '1e7', 9 }, ...
	{ 2,  4,  '1e8', 9 }, ...
	{ 2,  5,  '1e9', 9 }, ...
	{ 1,  8,  '1ea', 9 }, ...
	{ 0,  18, '1eb', 9 }, ...
	{ 0,  19, '1ec', 9 }, ...
	{ 0,  20, '1ed', 9 }, ...
	{ 0,  21, '1ee', 9 }, ...
	{ 0,  22, '1ef', 9 }, ...
	{ 5, 3,  '3e0', 10 }, ...
	{ 3, 4,  '3e1', 10 }, ...
	{ 3, 5,  '3e2', 10 }, ...
	{ 2, 6,  '3e3', 10 }, ...
	{ 1, 9,  '3e4', 10 }, ...
	{ 1, 10, '3e5', 10 }, ...
	{ 1, 11, '3e6', 10 }, ...
	{ 0, 0,  '7ce', 11 }, ...
	{ 1, 0,  '7cf', 11 }, ...
	{ 6, 3,  '7d0', 11 }, ...
	{ 4, 4,  '7d1', 11 }, ...
	{ 3, 6,  '7d2', 11 }, ...
	{ 1, 12, '7d3', 11 }, ...
	{ 1, 13, '7d4', 11 }, ...
	{ 1, 14, '7d5', 11 }, ...
	{ 2, 0, 'fac', 12 }, ...
	{ 3, 0, 'fad', 12 }, ...
	{ 4, 0, 'fae', 12 }, ...
	{ 5, 0, 'faf', 12 }, ...
	{ 7,  2,  'fb0', 12 }, ...
	{ 8,  2,  'fb1', 12 }, ...
	{ 9,  2,  'fb2', 12 }, ...
	{ 10, 2,  'fb3', 12 }, ...
	{ 7,  3,  'fb4', 12 }, ...
	{ 8,  3,  'fb5', 12 }, ...
	{ 4,  5,  'fb6', 12 }, ...
	{ 3,  7,  'fb7', 12 }, ...
	{ 2,  7,  'fb8', 12 }, ...
	{ 2,  8,  'fb9', 12 }, ...
	{ 2,  9,  'fba', 12 }, ...
	{ 2,  10, 'fbb', 12 }, ...
	{ 2,  11, 'fbc', 12 }, ...
	{ 1,  15, 'fbd', 12 }, ...
	{ 1,  16, 'fbe', 12 }, ...
   { 1,  17, 'fbf', 12 } ...
};



N = length(vlc_table);

run_table = zeros(1,N);
amp_table = zeros(1,N);
code_table = zeros(1,N);
len_table = zeros(1,N);

for k=[1:N],
   run_table(k) = vlc_table{k}{1};
   amp_table(k) = vlc_table{k}{2};
   code_table(k) = hex2dec( vlc_table{k}{3} );
   len_table(k) = vlc_table{k}{4};
end





